Bug 1021338 - [RFE] webadmin: please add custom columns
[RFE] webadmin: please add custom columns
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: RFEs (Show other bugs)
---
Unspecified Unspecified
medium Severity low with 2 votes (vote)
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
bugs@ovirt.org
: FutureFeature
Depends On: 957600 1172390
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 02:38 EDT by ernest.beinrohr
Modified: 2018-01-04 04:49 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: ovirt‑future?
ylavi: planning_ack?
ylavi: devel_ack?
ylavi: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description ernest.beinrohr 2013-10-21 02:38:59 EDT
Webadmin shoult have the possibility to add custom columns, like cpu count, allocated memory, number+size of attached disks and so on. Basically any VM parameter should be available as column. 

Reason: Better overview.
Comment 1 Michal Skrivanek 2013-10-23 05:58:25 EDT
I think we need the infrastructure support to be able to add/remove columns. Is it coming, Einav?
Comment 2 Einav Cohen 2013-10-23 10:14:22 EDT
(In reply to Michal Skrivanek from comment #1)
> I think we need the infrastructure support to be able to add/remove columns.
> Is it coming, Einav?

indeed, that's why Itamar marked this bug as "depends on" bug 957600 (ux) which is exactly about that - adding the infrastructure.
[moving this one back to 'virt' - once the infrastructure is in place, it will be 'virt' responsibility to utilize it for the grids/columns in its responsibility]
Comment 3 Itamar Heim 2014-01-12 03:41:42 EST
setting target release to current version for consideration and review. please do not push non-RFE bugs to an undefined target release to make sure bugs are reviewed for relevancy, fix, closure, etc.
Comment 4 Michal Skrivanek 2014-02-14 09:31:29 EST
dependent on rhevm-future bug, pushing out
Comment 5 Omer Frenkel 2015-07-07 11:05:46 EDT
dependent infrastructure not yet in, resetting target until we have it
Comment 6 Gianluca Cecchi 2016-10-25 08:19:36 EDT
I would like this feature.
Thanks,
Gianluca
Comment 7 Yaniv Kaul 2016-10-25 08:54:17 EDT
(In reply to Gianluca Cecchi from comment #6)
> I would like this feature.
> Thanks,
> Gianluca

I don't think it'll happen in the near term future - are there specific columns that are missing that are in a higher priority to be added?
Comment 8 ernest.beinrohr 2016-10-25 08:59:09 EDT
I think we need these numbers: vcpu count, gb memory, disk gb total.


If there would be an aggregation whem multiple hosts are selected/filtered that would be awesome :)
Comment 9 Gianluca Cecchi 2016-10-25 09:46:20 EDT
I agree with Ernest and what said in his comment#8
Comment 10 rstory 2016-10-25 12:31:45 EDT
+1. I'd like to be able to see VM memory size.
Comment 11 nelson 2016-10-31 07:04:14 EDT
+1

This is clearly something that would benefit the GUI.

One obvious example, sometimes while doing manual VM migrations, on the hosts screen (having the respectives VM screen right below), it should be clearly visible the VM RAM usage to be sure to migrate the right VM to the right host (and not migrate a VM that is using to much RAM on a overloaded host)

This is just one example, I can think of some more...

Is there anything more we can do to up the priority of this request?

Note You need to log in before you can comment on or make changes to this bug.